Loading...
Searching...
No Matches
seqan3::search_cfg::hit_strata Class Reference
Search » Configuration

Configuration element to receive all hits with the best number of errors plus the given stratum. All hits are found with the fewest number of errors plus 'stratum'. More...

`#include <seqan3/search/configuration/hit.hpp>`

Inheritance diagram for seqan3::search_cfg::hit_strata:
[legend]

## Public Member Functions

Constructors, assignment and destructor
constexpr | hit_strata ()=default
| Defaulted.
constexpr | hit_strata (hit_strata const &)=default
| Defaulted.
constexpr | hit_strata (hit_strata &&)=default
| Defaulted.
constexpr hit_strata & | operator= (hit_strata const &)=default
| Defaulted.
constexpr hit_strata & | operator= (hit_strata &&)=default
| Defaulted.
| ~hit_strata ()=default
| Defaulted.
| hit_strata (uint32_t stratum)
| Initialises the strata config.

## Public Attributes

uint8_t | stratum {}
| The stratum value [default: 0].

## Detailed Description

Configuration element to receive all hits with the best number of errors plus the given stratum. All hits are found with the fewest number of errors plus 'stratum'.

See also
  Configuration
  Section on Hit Strategy

## Constructor & Destructor Documentation

## hit_strata()

seqan3::search_cfg::hit_strata::hit_strata | ( | uint32_t | stratum | ) |

inline

Initialises the strata config.

Parameters

  [in] | stratum | The stratum to include in the search.

The documentation for this class was generated from the following file:

- hit.hpp

Hide me